server:
  port: 9003
  max-http-header-size: 58000
  
  
spring:
  profiles: default
  application:
    name: catlog
  datasource:
    url: jdbc:mysql://localhost:3306/catlog?createDatabaseIfNotExist=true&useUnicode=true&characterEncoding=UTF-8&characterSetResults=UTF-8&autoReconnect=true&useSSL=false
    username: root
    password: root
    driver-class-name: com.mysql.cj.jdbc.Driver
    tomcat:
      test-while-idle: true
      validation-query: SELECT 1
    initialization-mode: never
    platform: mysql
  jpa:
    show-sql: true
    properties:
      hibernate:
        dialect: org.hibernate.dialect.MySQL5InnoDBDialect
    hibernate:
      naming:
        physical-strategy: org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
      ddl-auto: update
      
  jackson:
    property-naming-strategy: LOWER_CAMEL_CASE
    serialization:
      indent-output: true
  batch:
    job:
      enabled: false
logging:
  level:
    ROOT: ERROR
    org.springframework.web: DEBUG
    com.omnirio.catlog: DEBUG
  file: catlog.log
  pattern:
    console: "%d{yyyy-MM-dd HH:mm:ss} - %msg%n"
    file: "%d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%n"
    


hmac:
  value: secret
  enabled: false
  exclude-hmac: swagger,api-docs
  
imageFolder: OmnirioImages


  



 